petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGResidualDefault

Default routine to calculate the residual.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGResidualDefault(Mat mat,Vec b,Vec x,Vec r)

Collective on Mat and Vec Many br

### Input Parameters

| mat | - the matrix Many br
| b | - the right-hand-side Many br
| x | - the approximate solution Many br

### Output Parameter

r -location to store the residual Many br

Many br

### Keywords

MG, default, multigrid, residual

### See Also

PCMGSetResidual()

Level:developer
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages